Installer initrd missing kernels for Intel X710 Adapter

Bug #1476393 reported by Antony Messerli on 2015-07-20
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Tim Gardner
Trusty
Undecided
Tim Gardner
Vivid
Undecided
Tim Gardner
Wily
Medium
Tim Gardner

Bug Description

The installer initrd is missing the i40e modules for ethernet cards like the Intel X710. I was able to grab the latest from Intel's site, compile the driver, respin the initrd, and get the installer to work:

https://downloadcenter.intel.com/download/24411/Network-Adapter-Driver-for-PCI-E-40-Gigabit-Network-Connections-under-Linux-

Can we include the i40e module into nic-modules so that the debian-installer netboot kernels will work on this card?

Thanks,

Ant

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1476393

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Antony Messerli (antonym) wrote :

This occurs within the installer. I can provide logs post install with hacked drivers in if necessary.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Can you see if this issue also happens with the latest Wily image? It can be downloaded from:
http://cdimage.ubuntu.com/daily-live/current/

Changed in linux (Ubuntu):
importance: Undecided → Medium
Tim Gardner (timg-tpi) on 2015-07-22
Changed in linux (Ubuntu Trusty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Vivid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Wily):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in initrd-tools (Ubuntu Trusty):
status: New → Confirmed
Changed in initrd-tools (Ubuntu Vivid):
status: New → Confirmed
Changed in initrd-tools (Ubuntu):
status: New → Confirmed
Brad Figg (brad-figg) on 2015-07-23
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Antony Messerli (antonym) wrote :

I wasn't able to get the Wily ISO booting, as it was trying and failing on a login loop during boot.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.1.0-2.2

---------------
linux (4.1.0-2.2) wily; urgency=low

  [ Tim Gardner ]

  * rebase to v4.1.3
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Upstream Kernel Changes ]

  * rebase to v4.1.3
    - LP: #1427680
    - LP: #1462614
    - LP: #1394368

 -- Tim Gardner <email address hidden> Wed, 22 Jul 2015 09:13:02 -0600

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2015-08-01
no longer affects: initrd-tools (Ubuntu)
no longer affects: initrd-tools (Ubuntu Trusty)
no longer affects: initrd-tools (Ubuntu Vivid)
no longer affects: initrd-tools (Ubuntu Wily)
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Tim Gardner (timg-tpi) wrote :

Marking Trusty and Vivid verified.

rtg@m1710:~/tmp$ dpkg -c nic-modules-3.13.0-62-generic-di_3.13.0-62.101_amd64.udeb |grep i40
drwxr-xr-x root/root 0 2015-07-30 05:43 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/ethernet/intel/i40e/
-rw-r--r-- root/root 313668 2015-07-30 04:16 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko
drwxr-xr-x root/root 0 2015-07-30 05:43 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/ethernet/intel/i40evf/
-rw-r--r-- root/root 90156 2015-07-30 04:16 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko

rtg@m1710:~/tmp$ dpkg -c nic-modules-3.19.0-26-generic-di_3.19.0-26.27_amd64.udeb |grep i40
drwxr-xr-x root/root 0 2015-07-28 15:49 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/ethernet/intel/i40evf/
-rw-r--r-- root/root 93884 2015-07-28 14:02 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko
drwxr-xr-x root/root 0 2015-07-28 15:49 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/ethernet/intel/i40e/
-rw-r--r-- root/root 377316 2015-07-28 14:02 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko

tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
Launchpad Janitor (janitor) wrote :
Download full text (30.6 KiB)

This bug was fixed in the package linux - 3.19.0-26.28

---------------
linux (3.19.0-26.28) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483630

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux (3.19.0-26.27) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1479055
  * [Config] updateconfigs for 3.19.8-ckt4 stable update

  [ Chris J Arges ]

  * [Config] Add MTD_POWERNV_FLASH and OPAL_PRD
    - LP: #1464560

  [ Mika Kuoppala ]

  * SAUCE: i915_bpo: drm/i915: Fix divide by zero on watermark update
    - LP: #1473175

  [ Tim Gardner ]

  * [Config] ACORN_PARTITION=n
    - LP: #1453117
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Timo Aaltonen ]

  * SAUCE: i915_bpo: Rebase to v4.2-rc3
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "mm/fault, drm/i915: Use pagefault_disabled()
    to check for disabled pagefaults"
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "drm: i915: Port to new backlight interface
    selection API"
    - LP: #1473175

  [ Upstream Kernel Changes ]

  * Revert "tools/vm: fix page-flags build"
    - LP: #1473547
  * Revert "ALSA: hda - Add mute-LED mode control to Thinkpad"
    - LP: #1473547
  * Revert "drm/radeon: adjust pll when audio is not enabled"
    - LP: #1473547
  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1479048
  * module: Call module notifier on failure after complete_formation()
    - LP: #1473547
  * gpio: gpio-kempld: Fix get_direction return value
    - LP: #1473547
  * ARM: dts: imx27: only map 4 Kbyte for fec registers
    - LP: #1473547
  * ARM: 8356/1: mm: handle non-pmd-aligned end of RAM
    - LP: #1473547
  * x86/mce: Fix MCE severity messages
    - LP: #1473547
  * mac80211: don't use napi_gro_receive() outside NAPI context
    - LP: #1473547
  * iwlwifi: mvm: Free fw_status after use to avoid memory leak
    - LP: #1473547
  * iwlwifi: mvm: clean net-detect info if device was reset during suspend
    - LP: #1473547
  * drm/plane-helper: Adapt cursor hack to transitional helpers
    - LP: #1473547
  * ARM: dts: set display clock correctly for exynos4412-trats2
    - LP: #1473547
  * hwmon: (ntc_thermistor) Ensure iio channel is of type IIO_VOLTAGE
    - LP: #1473547
  * mfd: da9052: Fix broken regulator probe
    - LP: #1473547
  * ALSA: hda - Fix noise on AMD radeon 290x controller
    - LP: #1473547
  * lguest: fix out-by-one error in address checking.
    - LP: #1473547
  * xfs: xfs_attr_inactive leaves inconsistent attr fork state behind
    - LP: #1473547
  * xfs: xfs_iozero can return positive errno
    - LP: #1473547
  * fs, omfs: add NULL terminator in the end up the token list
    - LP: #1473547
  * omfs: fix sign confusion for bitmap loop counter
    - LP: #1473547
  * d_walk() might skip too much
    - LP: #1473547
  * dm: fix casting bug in dm_merge_bvec()
    - LP: #1473547
  * hwmon: (nct6775) Add missing sysfs attribute initialization
    - LP: #1473547
  * hwmon: (nct6683) Add missing sysfs attribute initialization
    - LP: #1473547
  * target/pscsi: Don't leak scsi_host if hba is VIRTUAL_HOST
    - LP: #1473547
  * net...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Cindy Quach (cindyq) wrote :

Hi, are there any updates on when the Trusty fix will be released?

Tim Gardner (timg-tpi) wrote :

Cindy - not sure why Launchpad didn't auto update, but this fix is in 3.13.0-60.99, which means the tip of -updates (3.13.0-92.139) certainly contains it.

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers